jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jukka Zitting (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (JCR-1814) Update maven-eclipse-plugin to 1.4 source evel
Date Fri, 17 Oct 2008 09:54:44 GMT

     [ https://issues.apache.org/jira/browse/JCR-1814?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jukka Zitting resolved JCR-1814.
--------------------------------

    Resolution: Invalid
      Assignee: Jukka Zitting

The maven-eclipse-plugin looks at the source and target settings of maven-compiler-plugin.
We already set those correctly to 1.4 (and 1.5 for ocm projects) and I just verified that
"mvn eclipse:eclipse" uses those settnigs:

jackrabbit-core/.settings/org.eclipse.jdt.core.prefs:
org.eclipse.jdt.core.compiler.source=1.4
org.eclipse.jdt.core.compiler.compliance=1.4

jackrabbit-ocm/.settings/org.eclipse/jdt.core.prefs:
org.eclipse.jdt.core.compiler.source=1.5
org.eclipse.jdt.core.compiler.compliance=1.5


> Update maven-eclipse-plugin to 1.4 source evel
> ----------------------------------------------
>
>                 Key: JCR-1814
>                 URL: https://issues.apache.org/jira/browse/JCR-1814
>             Project: Jackrabbit
>          Issue Type: Bug
>            Reporter: Stephane Landelle
>            Assignee: Jukka Zitting
>            Priority: Trivial
>
> org.apache.jackrabbit.core.data.FileDataRecord uses assertions.
> Please update maven-eclipse-plugin configuration so projects are not configured with
1.3 compilation:
>         <artifactId>maven-eclipse-plugin</artifactId>
>         <configuration>
>         	<source>1.4</source>
> 		<target>1.4</target>
>           <downloadSources>true</downloadSources>
>         </configuration>
>       </plugin>
> Sincerely,
> Stephane Landelle

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message